Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate.f90	(revision 8418)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate.f90	(revision 8423)
@@ -644,6 +644,6 @@
          rest_id_stom,   hist_id_stom,      hist_id_stom_IPCC,               &
          index,          lalo,              neighbours,   resolution,        &
-         contfrac,       totfrac_nobio,     clay,         bulk,              &
-         temp_air,       lai,               veget,        veget_max,         &
+         contfrac,       totfrac_nobio,     clay,         temp_air,          &
+         lai,            veget,             veget_max,                       &
          deadleaf_cover,    assim_param,  temp_growth )
 
@@ -665,5 +665,4 @@
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: totfrac_nobio     !! Fraction of grid cell covered by lakes, land ice, cities, ... (unitless) 
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: clay              !! Clay fraction of soil (0-1, unitless)
-    REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: bulk              !! Bulk density (kg/m**3)  
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: temp_air          !! Air temperature at first atmospheric model layer (K)
     REAL(r_std),DIMENSION(kjpindex,nvm),INTENT(in)  :: lai               !! Leaf area inex @tex $(m^2 m^{-2})$ @endtex
@@ -1189,6 +1188,6 @@
        & (kjit, kjpij, kjpindex, &
        &  index, lalo, neighbours, resolution, contfrac, totfrac_nobio, clay, &
-       &  bulk, temp_air, temp_sol, stempdiag, &
-       &  humrel, shumdiag,shumdiagSAT, litterhumdiag,litterhumdiagSAT, precip_rain, precip_snow, &
+       &  temp_air, temp_sol, stempdiag, &
+       &  humrel, shumdiag, litterhumdiag, precip_rain, precip_snow, &
        &  gpp, deadleaf_cover, assim_param, &
        &  lai, frac_age, height, veget, veget_max, &
@@ -1226,5 +1225,4 @@
                                                                          !! ice, cities, ... (unitless) 
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: clay              !! Clay fraction of soil (0-1, unitless)
-    REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: bulk              !! Bulk density (kg/m**3)  
     REAL(r_std),DIMENSION(kjpindex,nvm),INTENT(in)  :: humrel            !! Relative humidity ("moisture availability") 
                                                                          !! (0-1, unitless) 
@@ -1233,9 +1231,5 @@
     REAL(r_std),DIMENSION(kjpindex,nslm),INTENT(in) :: stempdiag         !! Soil temperature (K)
     REAL(r_std),DIMENSION(kjpindex,nslm),INTENT(in) :: shumdiag          !! Relative soil moisture (0-1, unitless)
-    REAL(r_std),DIMENSION(kjpindex,nslm),INTENT(in) :: shumdiagSAT       !! Relative soil moisture (0-1, unitless)
-                                                                         !! with respect to(mcs-mcw)
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: litterhumdiag     !! Litter humidity (0-1, unitless)
-    REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: litterhumdiagSAT  !! Litter humidity (0-1, unitless)
-                                                                         !! with respect to(tmc_litter_sat-tmc_litter_wilt)
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: precip_rain       !! Rain precipitation  
                                                                          !! @tex $(mm dt_stomate^{-1})$ @endtex 
@@ -1375,6 +1369,5 @@
 
 !_ ================================================================================================================================
-   
- 
+    
   !! 1. Initialize variables
 
@@ -1494,9 +1487,9 @@
     CALL littercalc (kjpindex, &
          turnover_littercalc, bm_to_littercalc, &
-         veget_cov_max, temp_sol, stempdiag, shumdiag, litterhumdiag,shumdiagSAT,litterhumdiagSAT, &
+         veget_cov_max, temp_sol, stempdiag, shumdiag, litterhumdiag, &
          litterpart, litter, dead_leaves, lignin_struc, &
          deadleaf_cover, resp_hetero_litter, &
          soilcarbon_input_inst, control_temp_inst, control_moist_inst, &
-         matrixA, vectorB, bulk, clay, carbon)
+         matrixA, vectorB)
     
     ! Heterothropic litter respiration during time step ::dt_sechiba @tex $(gC m^{-2})$ @endtex
@@ -1558,6 +1551,5 @@
             &          (kjpindex, dt_days, &
             &           veget_cov, veget_cov_max, &
-            &           humrel_daily, t2m_daily, tsoil_daily, &
-            &           soilhum_daily, lalo, &
+            &           humrel_daily, t2m_daily, tsoil_daily, soilhum_daily, lalo, &
             &           precip_daily, npp_daily, biomass, &
             &           turnover_daily, gpp_daily, when_growthinit, &
@@ -1570,5 +1562,5 @@
             &           maxfpc_lastyear, maxfpc_thisyear, &
             &           humrel_month, humrel_week, t2m_longterm, tau_longterm, &
-            &           t2m_month, t2m_week, tsoil_month,soilhum_month, &
+            &           t2m_month, t2m_week, tsoil_month, soilhum_month, &
             &           npp_longterm, turnover_longterm, gpp_week, &
             &           gdd_m5_dormance, gdd_midwinter, ncd_dormance, ngd_minus5, &
@@ -1592,5 +1584,5 @@
             &             clay, herbivores, &
             &             tsurf_daily, tsoil_daily, t2m_daily, t2m_min_daily, &
-            &             litterhum_daily, soilhum_daily,  &
+            &             litterhum_daily, soilhum_daily, &
             &             maxhumrel_lastyear, minhumrel_lastyear, &
             &             gdd0_lastyear, precip_lastyear, &
@@ -2021,5 +2013,5 @@
 !_ ================================================================================================================================
 
-  SUBROUTINE stomate_finalize (kjit, kjpindex, index, clay, bulk, assim_param) 
+  SUBROUTINE stomate_finalize (kjit, kjpindex, index, clay, assim_param) 
     
     IMPLICIT NONE
@@ -2031,5 +2023,4 @@
     INTEGER(i_std),DIMENSION(kjpindex),INTENT(in)   :: index             !! Indices of the terrestrial pixels only (unitless)
     REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: clay              !! Clay fraction of soil (0-1, unitless)
-    REAL(r_std),DIMENSION(kjpindex),INTENT(in)      :: bulk              !! Bulk density (kg/m**3)
     REAL(r_std),DIMENSION(kjpindex,nvm,npco2),INTENT(in) :: assim_param  !! min+max+opt temperatures (K) & vmax for photosynthesis  
 
@@ -2118,5 +2109,5 @@
          dt_days, days_since_beg, &
          ind, adapted, regenerate, &
-         humrel_daily, gdd_init_date, litterhum_daily,&
+         humrel_daily, gdd_init_date, litterhum_daily, &
          t2m_daily, t2m_min_daily, tsurf_daily, tsoil_daily, &
          soilhum_daily, precip_daily, &
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_io.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_io.f90	(revision 8418)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_io.f90	(revision 8423)
@@ -440,5 +440,4 @@
          &              .TRUE., litterhum_daily, 'gather', nbp_glo, index_g)
     IF (ALL(litterhum_daily(:) == val_exp)) litterhum_daily(:) = zero
-
     !-
     t2m_daily(:) = val_exp
@@ -472,5 +471,4 @@
          &                .TRUE., soilhum_daily, 'gather', nbp_glo, index_g)
     IF (ALL(soilhum_daily(:,:) == val_exp)) soilhum_daily(:,:) = zero
-
     !-
     precip_daily(:) = val_exp
@@ -606,6 +604,4 @@
          &              .TRUE., soilhum_month, 'gather', nbp_glo, index_g)
     IF (ALL(soilhum_month(:,:) == val_exp)) soilhum_month(:,:) = zero
-
-
     !-
     ! 6 fire probability
@@ -997,9 +993,5 @@
              CALL restget_p (rest_id_stomate, var_name, nbp_glo, nlitt , 1, itime, &
                   &                     .TRUE., litter(:,:,m,l,k), 'gather', nbp_glo, index_g)
-             IF (ok_moyano_soilhumsat)THEN
-               IF (ALL(litter(:,:,m,l,k) == val_exp)) litter(:,:,m,l,k) = Litterini_Moyano
-             ELSE
-               IF (ALL(litter(:,:,m,l,k) == val_exp)) litter(:,:,m,l,k) = zero
-             ENDIF
+             IF (ALL(litter(:,:,m,l,k) == val_exp)) litter(:,:,m,l,k) = zero
           ENDDO
        ENDDO
@@ -1021,9 +1013,5 @@
        CALL restget_p (rest_id_stomate, var_name, nbp_glo, ncarb , 1, itime, &
             &                   .TRUE., carbon(:,:,m), 'gather', nbp_glo, index_g)
-       IF (ok_moyano_soilhumsat)THEN 
-          IF (ALL(carbon(:,:,m) == val_exp)) carbon(:,:,m) = Cini_Moyano
-       ELSE
-          IF (ALL(carbon(:,:,m) == val_exp)) carbon(:,:,m) = zero
-       ENDIF
+       IF (ALL(carbon(:,:,m) == val_exp)) carbon(:,:,m) = zero
     ENDDO
     !-
@@ -1701,17 +1689,17 @@
     var_name = 't2m_daily'
     CALL restput_p (rest_id_stomate, var_name, nbp_glo,    1, 1, itime, &
-                    &                t2m_daily, 'scatter', nbp_glo, index_g)
+         &                t2m_daily, 'scatter', nbp_glo, index_g)
     !-
     var_name = 't2m_min_daily'
     CALL restput_p (rest_id_stomate, var_name, nbp_glo,    1, 1, itime, &
-                    &                t2m_min_daily, 'scatter', nbp_glo, index_g)
+         &                t2m_min_daily, 'scatter', nbp_glo, index_g)
     !-
     var_name = 'tsurf_daily'
     CALL restput_p (rest_id_stomate, var_name, nbp_glo,    1, 1, itime, &
-                    &                tsurf_daily, 'scatter', nbp_glo, index_g)
+         &                tsurf_daily, 'scatter', nbp_glo, index_g)
     !-
     var_name = 'tsoil_daily'
     CALL restput_p (rest_id_stomate, var_name, nbp_glo, nslm, 1, itime, &
-                    &                tsoil_daily, 'scatter', nbp_glo, index_g)
+         &                tsoil_daily, 'scatter', nbp_glo, index_g)
     !-
     var_name = 'soilhum_daily'
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_litter.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_litter.f90	(revision 8418)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_stomate/stomate_litter.f90	(revision 8423)
@@ -26,5 +26,5 @@
 
   ! modules used:
-  USE xios_orchidee
+
   USE ioipsl_para
   USE stomate_data
@@ -180,9 +180,8 @@
        turnover, bm_to_litter, &
        veget_cov_max, tsurf, tsoil, soilhum, litterhum, &
-       soilhumSAT, litterhumSAT, &
        litterpart, litter, dead_leaves, lignin_struc, &
        deadleaf_cover, resp_hetero_litter, &
        soilcarbon_input, control_temp, control_moist, &
-       MatrixA, VectorB, bulk, clay, carbon)
+       MatrixA, VectorB)
 
     !! 0. Variable and parameter declaration
@@ -202,11 +201,5 @@
     REAL(r_std), DIMENSION(npts,nslm), INTENT(in)               :: soilhum            !! Daily soil humidity of each soil layer 
                                                                                       !! (unitless)
-    REAL(r_std), DIMENSION(npts,nslm), INTENT(in)               :: soilhumSAT         !! Daily soil humidity of each soil layer 
-                                                                                      !! (unitless)
     REAL(r_std), DIMENSION(npts), INTENT(in)                    :: litterhum          !! Daily litter humidity (unitless)
-    REAL(r_std), DIMENSION(npts), INTENT(in)                    :: litterhumSAT       !! Daily litter humidity (unitless)
-    REAL(r_std), DIMENSION(npts), INTENT(in)                    :: clay               !! Clay fraction (unitless, 0-1) 
-    REAL(r_std), DIMENSION(npts),INTENT(in)                     :: bulk               !! Bulk density (kg/m**3)  
-    REAL(r_std), DIMENSION(npts,ncarb,nvm), INTENT(in)          :: carbon             !! Soil carbon pools: active, slow, or passive, \f$(gC m^{2})$\f
 
     !! 0.2 Output variables
@@ -268,6 +261,4 @@
     REAL(r_std), DIMENSION(npts)                                :: soilhum_decomp     !! Humidity used for decompostition in soil
                                                                                       !! (unitless)
-    REAL(r_std), DIMENSION(npts)                                :: soilhumSAT_decomp  !! Humidity used for decompostition in soil
-                                                                                      !! (unitless) for Moyano et al 2012 
     REAL(r_std), DIMENSION(npts)                                :: fd                 !! Fraction of structural or metabolic litter
                                                                                       !! decomposed (unitless)
@@ -594,13 +585,6 @@
     
     !! 4.1 above the ground: litter humidity
-
-    IF (ok_moyano_soilhumsat)THEN !!ok_moyano_soilhumsat is true
-       control_moist(:,iabove) = control_moist_func (npts,clay,bulk,carbon, litter ,litterhumSAT, veget_cov_max)
-    ELSE !ok_moyano_soilhumsat is false by default
-       control_moist(:,iabove) = control_moist_func (npts,clay,bulk,carbon, litter, litterhum, veget_cov_max)
-    ENDIF
-
-        CALL xios_orchidee_send_field("ControlMoistLitter",control_moist(:,iabove))
-        CALL xios_orchidee_send_field("litterhumSAT",litterhumSAT(:))
+    control_moist(:,iabove) = control_moist_func (npts, litterhum)
+
     !
     !! 4.2 below: convolution of humidity and decomposer profiles
@@ -612,26 +596,14 @@
     !! 4.2.2 integrate over the nslm levels
     soilhum_decomp(:) = zero
-    soilhumSAT_decomp(:) = zero
-
-    IF (ok_moyano_soilhumsat)THEN !!ok_moyano_soilhumsat is true
-      DO l = 1, nslm !Loop over soil levels
-         soilhumSAT_decomp(:) = &
-              soilhumSAT_decomp(:) + soilhumSAT(:,l) * rpc(:) * &
-              ( EXP( -z_soil(l-1)/z_decomp ) - EXP( -z_soil(l)/z_decomp ) )
-      ENDDO
-      control_moist(:,ibelow) = control_moist_func (npts,clay,bulk,carbon, litter, soilhumSAT_decomp,veget_cov_max)
-
-     ELSE !ok_moyano_soilhumsat is false by default
-      DO l = 1, nslm !Loop over soil levels
-
-         soilhum_decomp(:) = &
-              soilhum_decomp(:) + soilhum(:,l) * rpc(:) * &
-              ( EXP( -z_soil(l-1)/z_decomp ) - EXP( -z_soil(l)/z_decomp ) )
-      ENDDO
-      control_moist(:,ibelow) = control_moist_func (npts,clay,bulk,carbon, litter, soilhum_decomp,veget_cov_max)
-    ENDIF
-
-        CALL xios_orchidee_send_field("ControlMoistSoil",control_moist(:,ibelow))
-        CALL xios_orchidee_send_field("soilhumSAT",soilhumSAT_decomp(:))
+
+    DO l = 1, nslm !Loop over soil levels
+
+       soilhum_decomp(:) = &
+            soilhum_decomp(:) + soilhum(:,l) * rpc(:) * &
+            ( EXP( -z_soil(l-1)/z_decomp ) - EXP( -z_soil(l)/z_decomp ) )
+
+    ENDDO
+
+    control_moist(:,ibelow) = control_moist_func (npts, soilhum_decomp)
 
   !! 5. fluxes from litter to carbon pools and respiration
@@ -906,20 +878,13 @@
 !_ ================================================================================================================================
   
-  FUNCTION control_moist_func (npts,clay,bulk,carbon,litter,moist_in,veget_cov_max) RESULT (moistfunc_result)
+  FUNCTION control_moist_func (npts, moist_in) RESULT (moistfunc_result)
 
   !! 0. Variable and parameter declaration
     
     !! 0.1 Input variables
-    INTEGER(i_std)                           :: k,m,n,i,l,e         !!indices              
+          
     INTEGER(i_std), INTENT(in)               :: npts                !! Domain size - number of grid pixel (unitless)
     REAL(r_std), DIMENSION(npts), INTENT(in) :: moist_in            !! relative humidity (unitless)
-    REAL(r_std), DIMENSION(npts), INTENT(in) :: clay                !! Clay fraction (unitless, 0-1) 
-    REAL(r_std), DIMENSION(npts), INTENT(in) :: bulk                !! Bulk density (kg/m**3)  
-    REAL(r_std), DIMENSION(npts,ncarb,nvm), INTENT(in) :: carbon    !! Soil carbon pools: active, s     low, or passive, \f$(gC m^{2})$\f
-    REAL(r_std), DIMENSION(npts,nlitt,nvm,nlevs,nelements), INTENT(inout) ::litter   !! Metabolic and structural litter,above and
-                                                                    !! below ground. The unit is given by m^2 of ground
-                                                                    !! @tex $(gC m^{-2})$ @endtex
-    REAL(r_std),DIMENSION(npts,nvm),INTENT(in):: veget_cov_max      !! PFT "Maximal" coverage fraction of a PFT 
- 
+
     !! 0.2 Output variables
    
@@ -929,134 +894,9 @@
 
     !! 0.4 Local variables
-    REAL(r_std), DIMENSION(101)              :: Mint                !! range [0,0.01,1] to compute PRSRmax
-    REAL(r_std), DIMENSION(npts,101)         :: PRSR                !! Proportional Response of Soil Respiration  
-    REAL(r_std), DIMENSION(npts,101)         :: SR                  !! Soil respiration compute using Moyano et al 2012 procedure  
-    REAL(r_std)                              :: SRmax               !! maximum value of SR
-    REAL(r_std), DIMENSION(npts,101)         :: SRnorm              !! SR normalized by the SRmax 
-    REAL(r_std)                              :: ind                 !! i index of maximum SRnorm value
-    REAL(r_std)                              :: SRmin               !! minimum value of SRnorm
-    REAL(r_std), DIMENSION(npts,101)         :: SRsc                !! Soil respiration rescale between 0 and 1 following Moyano et al 2012 procedure  
-    REAL(r_std)                              :: SRscmax             !! maximum value of SRsc
-    REAL(r_std)                              :: indmc               !! i index of maximum mois_round values 
-    REAL(r_std)                              :: moist_round         !! moist_in round to 2decimal points
-    REAL(r_std), DIMENSION(npts)             :: carbon_gCgs         !! total Soil carbon pools: active +slow+ passive, (gC/gsoil)
-    REAL(r_std), DIMENSION(npts)             :: carbon_gCm2s        !! total Soil carbon pools: active +slow+ passive     , (gC/gsoil)
-    REAL(r_std), DIMENSION(npts)             :: clay_Moyano         !! Clay fraction borned within the values used by Moyano et al., (unitless, 0-1)
-
-!_ ===============================================================================================================================
-
-     IF (ok_moyano_soilhumsat)THEN !!ok_moyano_soilhumsat is true
-
-     !! In ok_moyano_soilhumsat total soil carbon per grid cells need to be computed and
-     !!  converted from gC/m2soil to gC/gsoil
-     carbon_gCm2s(:)=zero
-     carbon_gCgs(:)=zero
-     DO n = 1, npts ! loop over grids
-      DO m = 1, nvm ! Loop over # PFTs
-       DO k = 1, ncarb ! Loop over carbon pools 
-        carbon_gCm2s(n)=carbon_gCm2s(n)+carbon(n,k,m)*veget_cov_max(n,m)
-       ENDDO
-      ENDDO
-     ENDDO
-
-     IF (ok_orga) THEN
-        DO n = 1, npts ! loop over grids
-           carbon_gCgs(n)=carbon_gCm2s(n) / (bulk(n) * 1E3 * soilheight)
-          carbon_gCgs(n)= MAX(min_carbon_moyano,MIN(max_carbon_moyano,carbon_gCgs(n))) 
-          clay_Moyano(n) = MAX(min_clay_moyano,MIN(max_clay_moyano,clay(n)))
-      ENDDO
-
-        !!1. compute Max(Prsr(M[0,0.01,1])); Prsr:Proportional Response of Soil
-        !!Respiration (PRSR) and Soil respiration(SR): SR(M)=SRo x Prsr(M)/Max(Prsr(M[0,0.01,1]))
-        !! M:soilhumSAT, SRo=1 (arbitrary)
-        DO n = 1,npts
-          Mint(:)= zero
-          SRmax = zero
-          DO i = 1,101
-             Mint(i)=0.01*(i-1)
-             IF (carbon_gCgs(n) .LT. limit_carbon_orga) THEN
-                 PRSR(n,i) = beta1 * Mint(i)  + beta2 * Mint(i)**2.0 + beta3 * Mint(i)**3.0 &
-                            & + beta4 * clay_Moyano(n) + beta5 * clay_Moyano(n) * Mint(i) &
-                            & + beta6 * carbon_gCgs(n) + intercept
-             ELSE 
-                 PRSR(n,i) = beta1_orga * Mint(i)  + beta2_orga * Mint(i)**2.0 + &
-                            & beta3_orga * Mint(i)**3.0 + intercept_orga
-             ENDIF
-
-             IF (i.LT.2) THEN
-               SR(n,i) = PRSR(n,i)
-               SRmax = MAX(SR(n,i),SRmax)
-             ELSE
-               SR(n,i) = PRSR(n,i) * SR(n,i-1)
-               SRmax = MAX(SR(n,i),SRmax)
-             ENDIF
-          ENDDO
-          SRnorm(n,:)= SRo * SR(n,:)/SRmax
-        ENDDO
-     ELSE
-        DO n = 1, npts ! loop over grids
-           carbon_gCgs(n)=carbon_gCm2s(n) / (bulk(n) * 1E3 * soilheight)
-          carbon_gCgs(n)= MAX(min_carbon_moyano,MIN(limit_carbon_orga,carbon_gCgs(n)))
-          clay_Moyano(n) = MAX(min_clay_moyano,MIN(max_clay_moyano,clay(n)))
-      ENDDO
-
-        !!1. compute Max(Prsr(M[0,0.01,1])); Prsr:Proportional Response of Soil
-        !!Respiration (PRSR) and Soil respiration(SR): SR(M)=SRo x
-        !Prsr(M)/Max(Prsr(M[0,0.01,1]))
-        !! M:soilhumSAT, SRo=1 (arbitrary)
-        DO n = 1,npts
-          Mint(:)= zero
-          SRmax = zero
-          DO i = 1,101
-             Mint(i)=0.01*(i-1)
-              PRSR(n,i) = beta1 * Mint(i)  + beta2 * Mint(i)**2.0 + beta3 * Mint(i)**3.0 &
-                         & + beta4 * clay_Moyano(n) + beta5 * clay_Moyano(n) * Mint(i) &
-                         & + beta6 * carbon_gCgs(n) + intercept
-
-             IF (i.LT.2) THEN
-               SR(n,i) = PRSR(n,i)
-               SRmax = MAX(SR(n,i),SRmax)
-             ELSE
-               SR(n,i) = PRSR(n,i) * SR(n,i-1)
-               SRmax = MAX(SR(n,i),SRmax)
-             ENDIF
-          ENDDO
-          SRnorm(n,:)= SRo * SR(n,:)/SRmax
-        ENDDO
-     ENDIF   
-
-     !!2. Rescale SR values between 0 and 1 and defined SR for moist_in
-       DO n = 1,npts
-         ind = 1.0
-         indmc = zero
-         moist_round = zero
-         SRscmax = zero
-         SRsc(n,:) = zero
-         SRmin = 1.0
-         
-         ind = MAXLOC(SRnorm(n,:),1)
-         DO i = 1,ind
-           SRmin = MIN(SRnorm(n,i),SRmin)
-         ENDDO
-         DO i = 1,101
-           SRsc(n,i) = SRnorm(n,i)- SRmin
-           IF (i.LE.ind)THEN
-             SRscmax = MAX(SRsc(n,i),SRscmax)
-           ENDIF
-         ENDDO
-         SRsc(n,:)=SRsc(n,:)/SRscmax
-         
-         moist_round=(NINT(moist_in(n)*100.))/100.
-         indmc=INT(moist_round/0.01) + un
-        
-        moistfunc_result(n) = SRsc(n,indmc)
-        moistfunc_result(n) = MAX( moistcontSAT_min, MIN( un, moistfunc_result(n) ))
-       ENDDO
-
-     ELSE !ok_moyano_soilhumsat is false by default
-       moistfunc_result(:) = -moist_coeff(1) * moist_in(:) * moist_in(:) &
-                             & + moist_coeff(2)* moist_in(:) - moist_coeff(3)
-       moistfunc_result(:) = MAX( moistcont_min, MIN( un, moistfunc_result(:) ))
-     ENDIF
+
+!_ ================================================================================================================================
+
+    moistfunc_result(:) = -moist_coeff(1) * moist_in(:) * moist_in(:) + moist_coeff(2)* moist_in(:) - moist_coeff(3)
+    moistfunc_result(:) = MAX( moistcont_min, MIN( un, moistfunc_result(:) ) )
 
   END FUNCTION control_moist_func