Index: branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 8462)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/orchidee.default	(revision 8463)
@@ -766,4 +766,10 @@
 SPINUP_ANALYTIC =  n 
 
+# OK_MOYANO_SOILHUMSAT ([FLAG]    ) :  Activation of Moyano equation for control_moist in stomate_litter. 	{OK_STOMATE}
+OK_MOYANO_SOILHUMSAT =  n 
+
+# OK_ORGA ([FLAG]    ) :  Activation of Moyano equation for control_moist in 	{OK_STOMATE and OK_MOYANO_SOILHUMSAT}
+OK_ORGA =  n 
+
 # AGRICULTURE ([FLAG]) :  agriculture allowed? 	{OK_SECHIBA or OK_STOMATE}
 AGRICULTURE =  y 
@@ -889,4 +895,7 @@
 ROUGH_DYN =  y 
 
+# USE_RATIO_Z0M_Z0H ([-] ) :  To impose a constant ratio as in ROUGH_DYN 	{ROUGH_DYN}
+USE_RATIO_Z0M_Z0H =  FALSE 
+
 # C1 ([-] ) :  Constant used in the formulation of the ratio of  	{ROUGH_DYN}
 C1 =  0.32 
@@ -968,8 +977,8 @@
 
 # IRRIG_DOSMAX ([kg.m^{-2}/hour]) :  The maximum irrigation water injected per hour (kg.m^{-2}/hour) 	{DO_IRRIGATION AND old_irrig_scheme }
-IRRIG_DOSMAX =  1. 
-
-# CUM_NROOT_THR ([]) :  Cumulated nroot threshoold to define root zone, and calculate water deficit for irrigation 	{DO_IRRIGATION AND old_irrig_scheme }
-CUM_NROOT_THR =  0.90 
+IRRIG_DOSMAX =  3. 
+
+# CUM_DH_THR ([m]) :  Threshold depth to define root zone, and calculate water deficit for irrigation 	{DO_IRRIGATION=y AND OLD_IRRIG_SCHEME=n}
+CUM_DH_THR =  0.64 
 
 # IRRIGATED_SOILTILE ([FLAG]) :  Do we introduce a new soil tile for irrigated croplands? 	{DO_IRRIGATION AND old_irrig_scheme }
@@ -983,8 +992,8 @@
 
 # AVAIL_RESERVE ([]) :  Max. fraction of routing reservoir volume that can be used for irrigation 	{DO_IRRIGATION and old_irrig_scheme }
-AVAIL_RESERVE =  0.9,0.0,0.9 
+AVAIL_RESERVE =  0.9,0.9,0.9 
 
 # BETA_IRRIG ([]) :  Threshold multiplier of Target SM to calculate root deficit 	{DO_IRRIGATION and old_irrig_scheme }
-BETA_IRRIG =  1. 
+BETA_IRRIG =  0.9 
 
 # LAI_IRRIG_MIN ([m2/m2]) :  Min. LAI (Leaf Area Index) to trigger irrigation 	{DO_IRRIGATION and old_irrig_scheme }
@@ -1004,5 +1013,5 @@
 
 # A_STREAM_ADDUCTION   ([FRACTION 0-1]) :  DO_IRRIGATION 	{DO_IRRIGATION }
-A_STREAM_ADDUCTION   =  zero 
+A_STREAM_ADDUCTION   =  0.05  
 
 # CB ([-] ) :  Constant of the Louis scheme  	{OK_SECHIBA}
@@ -1285,4 +1294,67 @@
 MOISTCONT_MIN =  0.25 
 
+# BETA1 ([-]) :  Parameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA1 =  -0.26 
+
+# BETA1_ORGA ([-]) :  Parameter for Moyano et al 2012 PRSR model(3) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT}
+BETA1_ORGA =  -0.67 
+
+# BETA2 ([-]) :  Parameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA2 =  0.32 
+
+# BETA2_ORGA ([-]) :  Parameter for Moyano et al 2012 PRSR model(3) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT}
+BETA2_ORGA =  1.08 
+
+# BETA3 ([-]) :  Parameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA3 =  -0.15 
+
+# BETA3_ORGA ([-]) :  Parameter for Moyano et al 2012 PRSR model(3) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT}
+BETA3_ORGA =  -0.57 
+
+# BETA4 ([-]) :  Parameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA4 =  0.08 
+
+# BETA5 ([-]) :  Parameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA5 =  -0.09 
+
+# BETA6 ([-]) :  Prameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+BETA6 =  0.57 
+
+# INTERCEPT ([-]) :  Prameter for Moyano et al 2012 PRSR model(2) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+INTERCEPT =  1.059 
+
+# INTERCEPT_ORGA ([-]) :  Prameter for Moyano et al 2012 PRSR model(3) 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+INTERCEPT_ORGA =  1.134 
+
+# SRO ([-]) :  Initial respiration value (SR0) arbitrary defined at 1.0  	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+SRO =  1.0 
+
+# MOISTCONSTSAT_MIN ([-]) :  minimum soil wetness to limit the heterotrophic respiration  	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+MOISTCONSTSAT_MIN =  0.0 
+
+# SOILHEIGHT ([-]) :  soilheight to converte gC/m2soil to gC/gsoil  	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+SOILHEIGHT =  0.1 
+
+# CINI_MOYANO ([gC/m3]) :  Carbon content to initialize Moyano equation  	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+CINI_MOYANO =  1000.0 
+
+# LITTERINI_MOYANO ([gC/m3]) :  Carbon litter content to initialize Moyano equation  	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+LITTERINI_MOYANO =  1000.0 
+
+# MAX_CARBON_MOYANO ([gC/g soil]) :  Maximum carbon concentration in the database used by Moyano et al 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+MAX_CARBON_MOYANO =  0.35 
+
+# MIN_CARBON_MOYANO ([gC/g soil]) :  Minimum carbon concentration in the database used by Moyano et al 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+MIN_CARBON_MOYANO =  0.01 
+
+# LIMIT_CARBON_ORGA ([gC/g soil]) :  Minimum carbon concentration in the database for organic soil used by Moyano et al 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+LIMIT_CARBON_ORGA =  0.06 
+
+# MAX_CLAY_MOYANO ([-]) :  Maximum clay fraction in the database used by Moyano et al 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+MAX_CLAY_MOYANO =  0.58 
+
+# MIN_CLAY_MOYANO ([-]) :  Minimum clay fraction in the database used by Moyano et al 	{OK_STOMATE, OK_MOYANO_SOILHUMSAT }
+MIN_CLAY_MOYANO =  0.03 
+
 # FRAC_TURNOVER_DAILY  ([-]) :   	{OK_STOMATE }
 FRAC_TURNOVER_DAILY  =  0.55 
@@ -1507,4 +1579,7 @@
 ks =  249.6 if Loam 
 
+# BULK   ([-]  ) :  Bulk density (0-dim mode)  	{IMPOSE_SOIL }
+BULK   =  1000.0 
+
 # mcfc ([-]) :  field capacity soil moisture 	{IMPOSE_SOIL}
 mcfc =  0.1654 if caclulated from default 5 parameters above 
@@ -1558,4 +1633,7 @@
 SOILCLASS_FILE =  soils_param.nc 
 
+# SOIL_BULK_FILE  ([FILE] ) :  Name of file from which soil bulk should be read  	{ }
+SOIL_BULK_FILE  =  soil_bulk_and_ph.nc  
+
 # PARAM_SPMIP_FILE ([FILE]) :  Name of file from which soil parameter  values are read 	{smipexp='maps'}
 PARAM_SPMIP_FILE =  params_sp_mip.nc 