Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90	(revision 8504)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_driver/forcing_tools.f90	(revision 8531)
@@ -4484,4 +4484,5 @@
   REAL(r_std), ALLOCATABLE, DIMENSION(:,:,:) :: tmp_slab2d
   CHARACTER(LEN=80) :: name
+  CHARACTER(LEN=80) :: coordinates ! temporary variable for attribut coordinates
   LOGICAL :: windzero
   !
@@ -4544,7 +4545,18 @@
      iret = NF90_GET_ATT(force_id(fileindex), varid, 'cell_methods', cellmethod)
      IF (iret /= NF90_NOERR) THEN
-        ! If the attribute is not found then we set a reasonable default : instantaneous and centered.
-        cellmethod="time: instantaneous"
+        ! If the attribute is not found then we set undefined
+        cellmethod="undefined"
      ENDIF
+
+     ! Read also attribute coordinates that might contain information about the name of the time axis.
+     ! If the forcing file is produced by XIOS, this is the case.
+     ! Reading of the time axis name can fail if the attribute coordinates contains something else than the time axis name.
+     iret = NF90_GET_ATT(force_id(fileindex), varid, 'coordinates', coordinates)
+     IF (iret == NF90_NOERR) THEN
+        ! The attribute 'coordinates' was found. This is probably containg the name of the time axis. 
+        ! We add this information in the begining of the celllmethod variable.
+        cellmethod=TRIM(coordinates)//":"//TRIM(cellmethod)
+     ENDIF
+
      !
      !
@@ -4645,5 +4657,6 @@
   ENDDO
   !
-  ! Go through all the time axes we have to find the right one.
+  ! Go through all the time axes we have to find the right one based on the information
+  ! read from attribute cell_methods or coordinates
   !
   timeindex=0
@@ -4682,6 +4695,6 @@
            ENDDO
            !
-           ! If there is no "(" then we have to find the centered axis.
         ELSE 
+           ! There is no "(" so we set the centered axis by defaut
            DO im=1,nbtmethods
               IF ( INDEX(time_cellmethod(itbase+im), "cent") > 0 ) THEN
@@ -4691,5 +4704,5 @@
         ENDIF
         !
-        ! The name of the time axis was found bu no method could be identified
+        ! The name of the time axis was found but no method could be identified
         !
         IF ( timeindex < 1 ) THEN
@@ -4702,17 +4715,25 @@
      ENDIF
   ENDDO
-  !
-  ! Should no corresponding time axis name be found, 
-  ! then we use the first centered one.
-  !
-  itax=1
-  DO WHILE ( timeindex < 1 ) 
-     IF ( INDEX(time_cellmethod(itax), "cent") > 0 ) THEN
-        timeindex = itax
-     ELSE
-        itax = itax + 1
-     ENDIF
-  ENDDO
-  !
+
+
+  !
+  ! If still no corresponding time axis name has be found, then we use the first centered one.
+  ! This is the case if none of the attributes cell_methods or coordinates were found or if they 
+  ! didn't include the name of the corresponding time axis.
+  IF ( timeindex < 1 ) THEN
+     CALL ipslerr(2,'forcing_attributetimeaxe',&
+          'No information about the name of the time axis was found in the attributes cell_method or coordinantes', &
+          'The first centered time axis will be used as defaut.', &
+          'Attribute coordinates is optional but must not contain something else than the name of the time axis.')
+     itax=1
+     DO WHILE ( timeindex < 1 ) 
+        IF ( INDEX(time_cellmethod(itax), "cent") > 0 ) THEN
+           timeindex = itax
+        ELSE
+           itax = itax + 1
+        ENDIF
+     ENDDO
+  END IF
+  
 END SUBROUTINE forcing_attributetimeaxe
 
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90	(revision 8504)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_sechiba/sechiba.f90	(revision 8531)
@@ -739,4 +739,7 @@
     IF (printlev_loc>=3) WRITE(numout,*) 'Start sechiba_main kjpindex =',kjpindex
 
+    CALL xios_orchidee_send_field("nav_lat",lalo(:,1))
+    CALL xios_orchidee_send_field("nav_lon",lalo(:,2))
+
     !! 1. Initialize variables at each time step
     CALL sechiba_var_init (kjpindex, rau, pb, temp_air) 
@@ -1055,4 +1058,8 @@
     CALL xios_orchidee_send_field("roughheight",roughheight)
     CALL xios_orchidee_send_field("lai",lai)
+    CALL xios_orchidee_send_field("u",u)
+    CALL xios_orchidee_send_field("v",v)
+    CALL xios_orchidee_send_field("zlev",zlev)
+
     histvar(:)=zero   
     DO ji = 1, kjpindex
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml	(revision 8504)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/field_def_orchidee.xml	(revision 8531)
@@ -33,4 +33,6 @@
 
   <field_group id="sechiba" grid_ref="grid_landpoints">
+    <field id="nav_lon" name="nav_lon" long_name="Longitudes" unit="deg" operation="once" />
+    <field id="nav_lat" name="nav_lat" long_name="Latitudes" unit="deg" operation="once" />
     <field id="areas" name="Areas" long_name="Mesh areas" unit="m2" operation="once" freq_offset="0ts" />
     <field id="LandPoints" name="LandPoints" long_name="Land Points" unit="1" operation="once" freq_offset="0ts"/>
@@ -65,4 +67,7 @@
     <field id="precip_rain" name="precip_rain" long_name="Rainfall rate" unit="mm/s"/>
     <field id="precip_snow" name="precip_snow" long_name="Snowfall rate" unit="mm/s"/>
+    <field id="u" name="u" long_name="Wind speed north-south" unit="m/s"/>
+    <field id="v" name="v" long_name="Wind speed east-west" unit="m/s"/>
+    <field id="zlev" name="zlev" long_name="Height of the lowest level of the atmospheric model" unit="m"/>
     <field id="netrad" name="netrad" long_name="Net radiation" unit="W/m^2"/>
     <field id="lai" name="lai" long_name="Leaf Area Index per PFT" unit="1" grid_ref="grid_nvm"/>
Index: branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml	(revision 8504)
+++ branches/ORCHIDEE_2_2/ORCHIDEE/src_xml/file_def_orchidee.xml	(revision 8531)
@@ -738,6 +738,6 @@
   </file>
 
-  <!-- Sechiba file 4 containing variables read and interpolated from input files -->
-  <file id="sechiba4" name="sechiba_interp_diag" output_level="1" output_freq="1d" enabled=".TRUE.">
+  <!-- This file is written in the begining of the execution. The variables are written only once. -->
+  <file id="sechiba4" name="ORCHIDEE_interp_diag" output_level="3" output_freq="1d" enabled=".FALSE.">
     <field_group id="groupremap_sechiba4" group_ref="remap_1d" grid_ref="grid_landpoints_out" >
 
@@ -1001,3 +1001,30 @@
     
   </file>
+
+
+  <!-- ORCHIDEE offline forcing file -->
+
+  <!-- This is a file that can be used as a forcing file for ORCHIDEE offline simualtions -->
+  <file id="forcing_by_ORCHIDEE" name="forcing_by_ORCHIDEE" output_level="1" output_freq="3h" enabled=".FALSE.">
+   <field_group id="groupremap_forcing" group_ref="remap_3h" grid_ref="grid_landpoints_out" >
+
+    <!-- level 1 -->
+    <field field_ref="contfrac" level="1"/>
+    <field field_ref="nav_lon" level="1"/>
+    <field field_ref="nav_lat" level="1"/>
+    <field field_ref="areas" level="1"/>
+    <field field_ref="temp_air" name="Tair" operation="instant" level="1"/>
+    <field field_ref="pb" name="PSurf" operation="instant" level="1"/>
+    <field field_ref="qair" name="Qair" operation="instant" level="1"/>
+    <field field_ref="u" name="Wind_N" operation="instant" level="1"/>
+    <field field_ref="v" name="Wind_E" operation="instant" level="1"/>
+    <field field_ref="zlev" name="Levels" operation="instant" level="1"/>
+    <field field_ref="precip_rain" name="Rainf" level="1"/>
+    <field field_ref="precip_snow" name="Snowf" level="1"/>
+    <field field_ref="lwdown" name="LWdown" level="1"/>
+    <field field_ref="swdown" name="SWdown" level="1"/>
+   </field_group>  
+  </file>
+
+
 </file_definition>